<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>WebSocket Data Display</title>
    <script>
        document.addEventListener('DOMContentLoaded', (event) => {
            const ws = new WebSocket("ws://localhost:8000/ws/data-stream");
            ws.onmessage = function (event) {
                const data = JSON.parse(event.data);
                document.getElementById("data").innerText = JSON.stringify(data, null, 2);
                // log to console
                console.log(data);
            };
        });
    </script>
</head>

<body>
    <h1>WebSocket Data</h1>
    <pre id="data">Connecting...</pre>
</body>

</html>
